package com.eleadmin;


import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.config.rules.DbColumnType;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

import java.io.File;
import java.sql.Types;
import java.util.Arrays;
import java.util.Collections;

public class CodeGenerator {
    public static class DataSourceProperties {

        public static final String jdbcUrl = "jdbc:mysql://actrst.cn:12206/artwork?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&failOverReadOnly=false&serverTimezone=GMT%2B8";
        public static final String username = "root";
        public static final String password = "I2L4DP2C519:Wov";
    }

    public static class Config {
        //项目根目录
        public static String rootPath=System.getProperty("user.dir");
        public static String author="zg";
        //xml文件路径
        public static StringBuilder xmlPath=new StringBuilder();
        //java文件生成根路径
        public static StringBuilder outputDir=new StringBuilder();
        //自定义一个公共PO用于存放公共字段，并且标记为序列化
        public static String superEntity="";
        //公用的字段
        public static final String[] commonFields = {""};
        //开发人员可以在这里修改各自项目的配置
        //todo 如果是多模块，需要填写模块名，如果不需要可以为空串
        public static String module="";
        //todo 代码根包名
        public static String parent_package="com.eleadmin.common.flowStep";
        //todo 需要生成的表
        public static String[] tables=new String[]{"f_step","f_field","f_step_table","f_step_table_field"};
        //todo 表的前缀,如果不需要填空
        public static String[] prefix=new String[]{"f"};

        static{
            outputDir.append(rootPath).append(File.separator).append(module).append("/src/main/java");
            xmlPath.append(rootPath).append(File.separator).append(module).append("/src/main/java/com/eleadmin/common/flowStep/mapper/xml/");
        }
    }

    public static void main(String[] args) {
        FastAutoGenerator.create(DataSourceProperties.jdbcUrl, DataSourceProperties.username, DataSourceProperties.password)
            //全局配置
            .globalConfig(builder -> {
                builder.author(Config.author)
                    .outputDir(Config.outputDir.toString());
            })
            //类型映射配置
            .dataSourceConfig(builder -> builder.typeConvertHandler((globalConfig, typeRegistry, metaInfo) -> {
                int typeCode = metaInfo.getJdbcType().TYPE_CODE;
                //自定义类型转换配置
                if (typeCode == Types.SMALLINT || typeCode == Types.TINYINT) {
                    return DbColumnType.INTEGER;
                }
                return typeRegistry.getColumnType(metaInfo);

            }))
            //包配置
            .packageConfig(builder -> {
                builder.parent(Config.parent_package)
                    .pathInfo(Collections.singletonMap(OutputFile.xml, Config.xmlPath.toString()));

            })
            //自定义配置
            .injectionConfig(builder -> {
                builder.customFile(consumer-> consumer
                    .fileName("Mapper.xml")
                    .filePath(Config.xmlPath.toString())
                    .enableFileOverride()
                    .templatePath("/templates/mapper.xml.ftl"))
                ;
            })
            //具体的生成文件的策略配置
            .strategyConfig(builder -> {
                builder.addInclude(Arrays.asList(Config.tables))
                    // .enableSkipView()
                    .addTablePrefix(Arrays.asList(Config.prefix))
                    .entityBuilder()
                    .superClass(Config.superEntity)
                    .addIgnoreColumns(Config.commonFields)
                    .enableFileOverride()
                    .enableLombok()
                    //controller配置启用rest风格才会使用@RestController注解
                    .controllerBuilder()
                    .enableRestStyle()
                    //开启生成mapper
                    .mapperBuilder()
                    .enableBaseResultMap()
                    .enableBaseColumnList()
                    //由于此版本Mapper.java与xml文件是一起生成的，所以适配我们的规范，此处不开启mapper覆盖，由自定义配置进行生成我们的xml文件
                //  .enableFileOverride()
                ;

            })
            //模板配置，如果你没有自定义的一些模板配置，这里直接使用默认即可。
            //模板引擎配置
            .templateEngine(new FreemarkerTemplateEngine())
            .execute();
    }
}

