package com.eleadmin;

import com.eleadmin.common.core.config.ConfigProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.mybatis.spring.annotation.MapperScans;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 启动类
 * Created by EleAdmin on 2018-02-22 11:29:03
 */
@EnableAsync
@EnableTransactionManagement
@MapperScans({
        @MapperScan("com.eleadmin.**.mapper"),
        @MapperScan("com.eleadmin.**.dao"),
})
@EnableConfigurationProperties(ConfigProperties.class)
@SpringBootApplication
@EnableScheduling
public class EleAdminApplication {

    public static void main(String[] args) {
        SpringApplication.run(EleAdminApplication.class, args);
    }

}
