package com.eleadmin.api;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.client.RestClient;
import org.springframework.web.client.support.RestClientAdapter;
import org.springframework.web.service.annotation.HttpExchange;
import org.springframework.web.service.annotation.PostExchange;
import org.springframework.web.service.invoker.HttpServiceProxyFactory;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Configuration
public class MessageConfig {

    @HttpExchange
    public interface MessageService {
        @PostExchange("/alarm-api/v1/alarms/push")
        String push(@RequestBody Map<String, Object> body);
    }

    @Bean
    MessageService messageService() {
        HttpServiceProxyFactory factory = HttpServiceProxyFactory.builderFor(RestClientAdapter.create(RestClient.create("http://25.64.66.102:28080"))).build();
        return factory.createClient(MessageService.class);
    }

    @Getter
    @Setter
    public static class Message {
        String title;
        String content;
        String phone;
    }


    public static Map<String, Object> buildMessage(List<Message> messages) {
        if (messages == null || messages.isEmpty()) {
            throw new RuntimeException("消息列表不能为空");
        }

        Map<String, Object> message = new HashMap<>();
        message.put("detailSwitch", 1);
        message.put("tenantId", 7);
        message.put("secret", "54f46177c0de12fb6ee274b11ca31361");

        List<Map<String, Object>> list = messages.stream()
                .map(it -> {
                    Map<String, Object> alarms = new HashMap<>();
                    alarms.put("smsAction", 1);
                    alarms.put("repeatAction", 0);
                    alarms.put("pushSoundIndex", 0);
                    alarms.put("userPhone", it.getPhone());
                    alarms.put("personalMsgAction", 1);
                    alarms.put("templateId", 1255);
                    alarms.put("title", it.getTitle());
                    alarms.put("type", 5);
                    alarms.put("portalMsgAction", 0);
                    alarms.put("content", it.getContent());
                    return alarms;
                }).toList();

        message.put("alarms", list);

        return message;
    }

}
