package com.eleadmin.chat.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eleadmin.chat.domain.entity.ReplyEntity;
import com.eleadmin.chat.domain.from.ReplyQueryForm;
import com.eleadmin.chat.domain.vo.ReplyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 回复消息表 Dao
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */
public interface ReplyDao extends BaseMapper<ReplyEntity> {

    List<ReplyVO> queryPage(@Param("queryForm") ReplyQueryForm queryForm);

    // 新增：根据 chatId 删除关联的 reply 数据
    void deleteByChatId(@Param("chatId") Integer chatId);
}
