package com.eleadmin.chat.domain.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 回复消息实体类
 */
@TableName("msg_reply")
@Getter
@Setter
public class ReplyEntity {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer chatId;

    private String name;

    private String content;

    @TableField("`index`")
    private Integer index;

    private Integer toUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @TableLogic // 新增：逻辑删除字段
    private Integer deleted; // 新增：逻辑删除字段，默认值为0

    @JsonIgnore
    private Integer tenantId;
}