package com.eleadmin.chat.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.chat.dao.ReplyDao;
import com.eleadmin.chat.domain.entity.ReplyEntity;
import com.eleadmin.chat.domain.from.ReplyQueryForm;
import com.eleadmin.chat.domain.vo.ReplyVO;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.core.web.PageResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 回复消息表 Service
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

@Service
@Slf4j
public class ReplyService extends ServiceImpl<ReplyDao, ReplyEntity> {

    /**
     * 分页查询
     *
     * @param queryForm 查询表单
     * @return 分页结果
     */
    public List<ReplyVO> queryPage(ReplyQueryForm queryForm) {
        return baseMapper.queryPage(queryForm);
    }

    public void deleteByChatId(Integer chatId) {
        baseMapper.deleteByChatId(chatId);
    }
}