package com.eleadmin.common.core.excel.convert;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.converters.ReadConverterContext;
import com.alibaba.excel.converters.WriteConverterContext;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.data.WriteCellData;

public class OutageTypeConverter implements Converter<Integer> {

    @Override
    public Class<Integer> supportJavaTypeKey() {
        return Integer.class;
    }

    @Override
    public Integer convertToJavaData(ReadConverterContext<?> context) {
        String description = context.getReadCellData().getStringValue();
        return switch (description) {
            case "带电作业" -> 2;
            case "不对外停电" -> 1;
            case "对外停电" -> 0;
            default -> null;
        };
    }

    @Override
    public WriteCellData<?> convertToExcelData(WriteConverterContext<Integer> context) {
        if (context.getValue() == null) {
            return new WriteCellData<>("");
        }
        return switch (context.getValue()) {
            case 0 -> new WriteCellData<>("对外停电");
            case 1 -> new WriteCellData<>("不对外停电");
            case 2 -> new WriteCellData<>("带电作业");
            default -> new WriteCellData<>("");
        };
    }

}
