package com.eleadmin.common.core.excel.convert;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.converters.ReadConverterContext;
import com.alibaba.excel.converters.WriteConverterContext;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.data.WriteCellData;

public class YesNoConverter implements Converter<Integer> {

    @Override
    public Class<Integer> supportJavaTypeKey() {
        return Integer.class;
    }

    @Override
    public Integer convertToJavaData(ReadConverterContext<?> context) {
        String description = context.getReadCellData().getStringValue();
        if ("是".equals(description)) {
            return 1;
        } else if ("否".equals(description)) {
            return 0;
        } else {
            return null;
        }
    }

    @Override
    public WriteCellData<?> convertToExcelData(WriteConverterContext<Integer> context) {
        if (context.getValue() == null) {
            return new WriteCellData<>("");
        }
        return new WriteCellData<>(context.getValue() == 1 ? "是" : "否");
    }

}
