package com.eleadmin.common.core.utils;

import com.eleadmin.common.system.entity.User;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

import java.util.Optional;

@Slf4j
public class LoginUtil {

    public static User getLoginUserOrNull() {
        try {
            Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
            if (authentication != null) {
                Object object = authentication.getPrincipal();
                if (object instanceof User) {
                    return (User) object;
                }
            }
        } catch (Exception e) {
            log.error(e.getMessage());
        }
        return null;
    }

    public static User getLoginUser() {
       return Optional.ofNullable(getLoginUserOrNull()).orElseThrow(() -> new RuntimeException("登录信息错误"));
    }

}
