package com.eleadmin.common.flowStep.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eleadmin.outagework.domain.entity.OutageWorkEntity;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 停电步骤表
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("f_step_table")
public class StepTable implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 停电计划id
     */
    private Integer outageId;

    /**
     * 步骤id
     */
    private Integer stepId;

    /**
     * 步骤号
     */
    private Integer stepNumber;

    /**
     * 步骤名称
     */
    private String stepTitle;

    /**
     * 字段ids
     */
    private String fieldIds;

    /**
     * 创建用户
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 逻辑删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer deleted;

    public StepTable(OutageWorkEntity outageWorkEntity,Step step,Integer userId) {
        this.outageId = outageWorkEntity.getId();
        this.stepTitle = step.getStepTitle();
        this.stepNumber  = step.getStepNumber();
        this.stepId = step.getId();
        this.fieldIds= step.getFieldIds();
        this.createTime = LocalDateTime.now();
        this.createUser = userId;
    }
}
