package com.eleadmin.common.flowStep.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 停电步骤字段表
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Getter
@Setter
@TableName("f_step_table_field")
public class StepTableField implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 停电步骤id
     */
    private Integer stepTableId;
    /**
     * 字段id
     */
    private Integer fieldId;

    /**
     * 字段类型
     */
    private String fieldType;

    /**
     * 字段名称
     */
    private String fieldTitle;

    /**
     * 字段key
     */
    private String fieldKey;

    /**
     * 字段值
     */
    private String fieldValue;

    /**
     * 逻辑删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer deleted;

    public StepTableField(Integer stepTableId,Field field,String fieldValue) {
        this.stepTableId = stepTableId;
        this.fieldId = field.getId();
        this.fieldKey = field.getFieldKey();
        this.fieldTitle = field.getFieldTitle();
        this.fieldType = field.getFieldType();
        this.fieldValue = fieldValue;
    }
}
