package com.eleadmin.common.flowStep.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eleadmin.common.core.web.PageParam;
import com.eleadmin.common.core.web.PageResult;
import com.eleadmin.common.flowStep.entity.Field;
import com.eleadmin.common.flowStep.entity.param.FieldParam;
import com.eleadmin.common.flowStep.mapper.FieldMapper;
import com.eleadmin.common.flowStep.service.IFieldService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程字段 服务实现类
 * </p>
 *
 * @author zg
 * @since 2025-03-24
 */
@Service
public class FieldServiceImpl extends ServiceImpl<FieldMapper, Field> implements IFieldService {

    @Override
    public PageResult queryPage(FieldParam param) {
        PageParam page = new PageParam(param);
        List<Map<String,Object>> list = baseMapper.queryPage(page,param);
        return new PageResult(list,page.getTotal());
    }

    @Override
    public List<Map<String, Object>> getFields(FieldParam fieldParam) {
        return baseMapper.getFields(fieldParam);
    }
}
