package com.eleadmin.common.system.mapper;

import cn.hutool.core.lang.Tuple;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.eleadmin.common.system.entity.User;
import com.eleadmin.common.system.param.UserParam;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 用户Mapper
 *
 * @author EleAdmin
 * @since 2018-12-24 16:10:14
 */
public interface UserMapper extends BaseMapper<User> {

    /**
     * 分页查询
     *
     * @param page  分页对象
     * @param param 查询参数
     * @return List<User>
     */
    @InterceptorIgnore(tenantLine = "true")
    List<User> selectPageRel(@Param("page") IPage<User> page,
                             @Param("param") UserParam param);

    /**
     * 查询全部
     *
     * @param param 查询参数
     * @return List<User>
     */
    @InterceptorIgnore(tenantLine = "true")
    List<User> selectListRel(@Param("param") UserParam param);

    /**
     * 根据账号查询
     *
     * @param username 账号
     * @param tenantId 租户id
     * @return User
     */
    @InterceptorIgnore(tenantLine = "true")
    User selectByUsername(@Param("username") String username, @Param("tenantId") Integer tenantId);

    Map<String, Object> getByTaskCount();

    @Select("update sys_user set task_count = task_count + 1 where user_id = #{userId} ")
    void updateTaskCount(Integer userId);

}
