package com.eleadmin.commonflow.from;

import com.eleadmin.common.core.annotation.Schema;
import com.eleadmin.common.core.web.BaseParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.time.LocalDateTime;

@EqualsAndHashCode(callSuper = false)
@Data
public class FlowableParam extends BaseParam {

    /**
     * 用户ID
     */
    private String userId;
    /**
     * 流程实例ID（可选）
     */
    private String processInstanceId;
    /**
     * 任务名称（可选）
     */
    private String taskName;

    @Schema(description = "停电结束日期")
    private Long endDateBegin;

    @Schema(description = "停电结束日期")
    private Long endDateEnd;

    @Schema(description = "检修内容")
    private String inspectionContent;

    @Schema(description = "停电范围")
    private String powerOutageScope;

    @Schema(description = "图模涉及大馈线名称")
    private String lineName;

}
