package com.eleadmin.distributiondeviceinfo.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.eleadmin.distributiondeviceinfo.domain.entity.DistributionDeviceInfoEntity;
import com.eleadmin.distributiondeviceinfo.domain.form.DistributionDeviceInfoQueryForm;
import com.eleadmin.distributiondeviceinfo.domain.vo.DistributionDeviceInfoVO;
import com.eleadmin.distributiondeviceinfo.domain.vo.DistributionDeviceSimpleVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 配电设备新投异动图模维护信息表 Dao
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:39:52
 * @Copyright gxrd
 */
public interface DistributionDeviceInfoDao extends BaseMapper<DistributionDeviceInfoEntity> {

    /**
     * 分页 查询
     *
     * @param page
     * @param queryForm
     * @return
     */
    List<DistributionDeviceInfoVO> queryPage(Page page, @Param("queryForm") DistributionDeviceInfoQueryForm queryForm);

    List<DistributionDeviceSimpleVO> querySimplePage(Page page,@Param("queryForm")  DistributionDeviceInfoQueryForm queryForm);
}
