package com.eleadmin.distributiondeviceinfo.domain.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.eleadmin.distributiondeviceinfo.domain.vo.AttachmentVO;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 配电设备新投异动图模维护信息表 实体类
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:39:52
 * @Copyright gxrd
 */

@Data
@TableName(value = "t_distribution_device_info", autoResultMap = true)
public class DistributionDeviceInfoEntity {

    /**
     * 记录ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 计划工作（送电）时间
     */
    private LocalDateTime scheduledWorkTime;

    /**
     * 停电计划涉及大馈线
     */
    private String planWorkFeeder;

    /**
     * 计划工作时间
     */
    private LocalDate planWorkTime;

    /**
     * 图模涉及大馈线名称
     */
    private String lineName;

    /**
     * OMS新投异动编号
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<String> omsNumber;

    /**
     * 主业工程名称
     */
    private String mainProjectName;

    /**
     * 主业工程编号
     */
    private String mainProjectCode;

    /**
     * 是否已推工程
     */
    private Integer isMainProject;

    /**
     * 运行单位推工程人
     */
    private String operatingUnitContact;

    /**
     * 客户工程名称
     */
    private String customerProjectName;

    /**
     * 客户工程编号
     */
    private String customerProjectCode;

    /**
     * 是否涉及主业实物ID扫码
     */
    private Integer involvesPhysicalId;

    /**
     * 运行单位扫码人
     */
    private String operatingUnitScanner;

    /**
     * 新增设备运行维护班组
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<NewDevice> newEquipmentMaintenance;

    /**
     * 联系人及电话
     */
    private String contactPerson;

    /**
     * 专用设备进线电缆资产属性
     */
    private String specialEquipmentCableAsset;

    /**
     * 专用设备T接点开关、刀闸资产属性
     */
    private String specialEquipmentTapSwitchAsset;

    /**
     * 专用设备用户编号
     */
    private String specialEquipmentUserCode;

    /**
     * 大客户经理及联系方式
     */
    private String majorCustomerContact;

    /**
     * 附件
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<AttachmentVO> attachment;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<AttachmentVO> attachment2;

    /**
     * 是否完成状态0否，1是
     */
    private Integer finishStatus;

    /**
     * 是否提交0否，1是
     */
    private Integer commitStatus;

    /**
     * 提交时间
     */
    private LocalDateTime commitTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    private Integer outageId;

}
