package com.eleadmin.distributiondeviceinfo.domain.form;

import com.eleadmin.common.core.annotation.Schema;
import com.fasterxml.jackson.annotation.JsonFormat;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.time.LocalDate;

/**
 * 配电设备新投异动图模维护信息表 关联信息查询表单
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:39:52
 * @Copyright gxrd
 */

@Data
public class DistributionDeviceInfoLinkQueryForm  {

    @Schema(description = "计划工作大馈线")
    @NotBlank
    private String planWorkFeeder;

    @Schema(description = "计划工作时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull
    private LocalDate planWorkTime;

}
