package com.eleadmin.distributiondeviceinfo.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.eleadmin.common.core.excel.convert.YesNoConverter;
import com.eleadmin.distributiondeviceinfo.domain.entity.NewDevice;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 配电设备新投异动图模维护信息表 列表VO
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:39:52
 * @Copyright gxrd
 */

@Data
public class DistributionDeviceInfoExcelVO {

//    @ExcelProperty(value = "计划工作（送电）时间")
//    private LocalDateTime scheduledWorkTime;

    @ExcelProperty("图模涉及大馈线名称")
    private String lineName;

    @ExcelProperty("停电计划涉及大馈线")
    private String planWorkFeeder;

    @ExcelProperty(value = "停电计划开始时间")
    private LocalDate planWorkTime;

    @ExcelProperty("OMS新投异动编号")
    private List<String> omsNumber;

    @ExcelProperty("主业工程名称")
    private String mainProjectName;

    @ExcelProperty("主业工程编号")
    private String mainProjectCode;

    @ExcelProperty(value = "是否已推工程", converter = YesNoConverter.class)
    private Integer isMainProject;

    @ExcelProperty("运行单位推工程人")
    private String operatingUnitContact;

    @ExcelProperty("客户工程名称")
    private String customerProjectName;

    @ExcelProperty("客户工程编号")
    private String customerProjectCode;

    @ExcelProperty(value = "是否涉及主业实物ID扫码", converter = YesNoConverter.class)
    private Integer involvesPhysicalId;

    @ExcelProperty("运行单位扫码人")
    private String operatingUnitScanner;

    @ExcelProperty(value = "新增设备运行维护班组")
    private List<NewDevice> newEquipmentMaintenance;

    @ExcelProperty("联系人及电话")
    private String contactPerson;

    @ExcelProperty("专用设备进线电缆资产属性")
    private String specialEquipmentCableAsset;

    @ExcelProperty("专用设备T接点开关、刀闸资产属性")
    private String specialEquipmentTapSwitchAsset;

    @ExcelProperty("专用设备用户编号")
    private String specialEquipmentUserCode;

    @ExcelProperty("大客户经理及联系方式")
    private String majorCustomerContact;

}