package com.eleadmin.distributiondeviceinfo.domain.vo;

import com.eleadmin.common.core.annotation.Schema;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class DistributionDeviceSimpleVO {

    @Schema(description = "记录ID")
    private Integer id;

    @Schema(description = "计划工作时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate planWorkTime;

    @Schema(description = "图模涉及大馈线名称")
    private String lineName;

    @Schema(description = "OMS新投异动编号")
    private String omsNumber;

    /**
     * 是否提交0否，1是
     */
    @Schema(description = "是否提交0否，1是")
    private Integer commitStatus;
    /**
     * 提交时间
     */
    @Schema(description = "是否提交0否，1是")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime commitTime;

    /**
     * 是否完成状态0否，1是
     */
    @Schema(description = "是否完成状态0否，1是")
    private Integer finishStatus;

    /**
     * 创建用户
     */
    private Integer createUser;
    /**
     * 计划工作大馈线
     */
    private String planWorkFeeder;

    @JsonIgnore
    private Integer outageId;

    private String inspectionContent;
}
