package com.eleadmin.flowable.listener;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.eleadmin.common.system.service.UserService;
import com.eleadmin.distributiondeviceinfo.domain.entity.DistributionDeviceInfoEntity;
import com.eleadmin.distributiondeviceinfo.service.DistributionDeviceInfoService;
import com.eleadmin.outagework.domain.entity.OutageWorkEntity;
import com.eleadmin.outagework.service.OutageWorkService;
import lombok.RequiredArgsConstructor;
import org.flowable.engine.RuntimeService;
import org.flowable.task.service.delegate.DelegateTask;
import org.flowable.task.service.delegate.TaskListener;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 图模绘制监听器
 */
@RequiredArgsConstructor
@Component
public class InformationCreateListener implements TaskListener {

    private final DistributionDeviceInfoService service;
    private final OutageWorkService outageWorkService;

    @Override
    public void notify(DelegateTask delegateTask) {
        String instanceId = delegateTask.getProcessInstanceId();
        OutageWorkEntity work = outageWorkService.getOne(Wrappers.lambdaQuery(OutageWorkEntity.class).eq(OutageWorkEntity::getProcessInstanceId, instanceId).last("limit 1"));
        if (work == null) {
            return;
        }
        service.update(Wrappers.lambdaUpdate(DistributionDeviceInfoEntity.class).eq(DistributionDeviceInfoEntity::getOutageId, work.getId()).set(DistributionDeviceInfoEntity::getCommitStatus, 0));
    }

}
