package com.eleadmin.flowable.listener;

import cn.hutool.core.lang.Tuple;
import com.eleadmin.common.system.service.UserService;
import lombok.RequiredArgsConstructor;
import org.flowable.engine.RuntimeService;
import org.flowable.task.service.delegate.DelegateTask;
import org.flowable.task.service.delegate.TaskListener;
import org.springframework.stereotype.Component;

import java.util.Map;

@RequiredArgsConstructor
@Component
public class TaskCompleteListener implements TaskListener {

    private final UserService userService;
    private final RuntimeService runtimeService;

    @Override
    public void notify(DelegateTask delegateTask) {
        Object tmhzz = runtimeService.getVariable(delegateTask.getExecutionId(), "tmhzz");
        if(tmhzz != null) {
            return;
        }
        Map<String, Object> user = userService.getByTaskCount();
        Integer userId = (Integer) user.get("user_id");
        String username = (String) user.get("nickname");
        runtimeService.setVariable(delegateTask.getExecutionId(), "tmhzz", username);
        userService.updateTaskCount(userId);
    }

}

