package com.eleadmin.flowable.vo;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.StringUtils;
import org.flowable.task.api.history.HistoricTaskInstance;

import java.util.Date;

@Getter
@Setter
public class TaskHistory {
    private String taskId;
    private String taskName;
    private String assignee;
    private String nickname;
    private Date startTime;
    private Date endTime;
    private Long duration;
    private String status;
    private Object businessObject;
    private String comment;

    public TaskHistory(String taskId, String taskName, String assignee, Date startTime, Date endTime, Long durationInMillis, String deleteReason) {
        this.taskId = taskId;
        this.taskName = taskName;
        this.assignee = assignee;
        this.startTime = startTime;
        this.endTime = endTime;
        this.duration = durationInMillis;
        this.status = deleteReason == null  ? "已完成" : "已删除";
    }

    public static TaskHistory of(HistoricTaskInstance it) {
        return new TaskHistory(it.getId(), it.getName(), it.getCompletedBy(), it.getCreateTime(), it.getEndTime(), it.getDurationInMillis(), it.getDeleteReason());
    }
}
