package com.eleadmin.flowable.vo;

import lombok.Data;
import org.flowable.task.api.Task;
import org.flowable.task.api.history.HistoricTaskInstance;

import java.io.Serializable;
import java.util.Date;

@Data
public class TaskInfo implements Serializable {
    private String taskId;
    private String processInstanceId;
    private String taskName;
    private String assignee;
    private Date createTime;
    private Object processVariables;

    private Object businessObject;

    public TaskInfo(String id, String processInstanceId, String name, String assignee, Date createTime,Object businessObject,Object processVariables) {
        this.taskId = id;
        this.processInstanceId = processInstanceId;
        this.taskName = name;
        this.assignee = assignee;
        this.createTime = createTime;
        this.businessObject = businessObject;
        this.processVariables = processVariables;
    }

    public static TaskInfo of(Task task) {
        return new TaskInfo(task.getId(), task.getProcessInstanceId(), task.getName(), task.getAssignee(), task.getCreateTime(),task.getTaskLocalVariables(),task.getProcessVariables());
    }

    public static TaskInfo of(HistoricTaskInstance it) {
        return new TaskInfo(it.getId(), it.getProcessInstanceId(), it.getName(), it.getCompletedBy(), it.getCreateTime(),it.getTaskLocalVariables(),null);
    }
}
