package com.eleadmin.outagework.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.eleadmin.outagework.domain.entity.OutageWorkEntity;
import com.eleadmin.outagework.domain.form.OutageWorkQueryForm;
import com.eleadmin.outagework.domain.vo.OutageWorkCancelInfoVO;
import com.eleadmin.outagework.domain.vo.OutageWorkSimpleVO;
import com.eleadmin.outagework.domain.vo.OutageWorkVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.Collection;
import java.util.List;

/**
 * 对外停电工作记录表 Dao
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:15:38
 * @Copyright gxrd
 */

@Mapper
@Component
public interface OutageWorkDao extends BaseMapper<OutageWorkEntity> {

    /**
     * 分页 查询
     *
     * @param page
     * @param queryForm
     * @return
     */
    List<OutageWorkVO> queryPage(Page page, @Param("queryForm") OutageWorkQueryForm queryForm);

    List<OutageWorkSimpleVO> querySimplePage(Page page, @Param("queryForm")  OutageWorkQueryForm queryForm);

    OutageWorkVO cancelInfo(@Param("param") OutageWorkCancelInfoVO outageWorkCancelInfoVO);

    List<OutageWorkEntity> listRel(@Param("ids") Collection<String> ids);

}
