package com.eleadmin.outagework.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eleadmin.distributiondeviceinfo.domain.entity.DistributionDeviceInfoEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 对外停电工作记录表 实体类
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:15:38
 * @Copyright gxrd
 */

@Data
@TableName("t_outage_work")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OutageWorkEntity {

    /**
     * 记录ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 分类
     */
    private String category;

    /**
     * 电压等级
     */
    private String voltageLevel;

    /**
     * 是否涉及新投异
     */
    private Integer isNewProject;

    /**
     * 停电开始日期
     */
    private LocalDateTime startDate;

    /**
     * 工作开始时间
     */
    private LocalDateTime workStartTime;

    /**
     * 工作结束时间
     */
    private LocalDateTime workEndTime;

    /**
     * 停电结束日期
     */
    private LocalDateTime endDate;

    /**
     * 检修内容
     */
    private String inspectionContent;

    /**
     * 停电范围
     */
    private String powerOutageScope;

    /**
     * 主运行部门
     */
    private String mainOperatingDepartment;

    /**
     * 配合运行部门
     */
    private String cooperatingOperatingDepartment;

    /**
     * 施工单位
     */
    private String constructionUnit;

    /**
     * 95598停电台区
     */
    private String powerOutageArea;

    /**
     * 95598停电地址
     */
    private String powerOutageAddress;

    /**
     * 网格所属中心
     */
    private String gridCenter;

    /**
     * 工程名称
     */
    private String projectName;

    /**
     * 工程管理单位
     */
    private String engineeringManagementUnit;

    /**
     * 工程专责及电话
     */
    private String engineeringResponsiblePerson;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 类型（0 对外停电，1 不对外停电 2 带电作业）
     */
    private Integer type;

    /**
     * 工作状态 1 正常，0 停止
     */
    private Integer workStatus;

    /**
     * 是否fa线路
     */
    private Integer whetherFaline;

    /**
     * 图模涉及大馈线名称
     */
    private String lineName;

    private Integer flowId;

    private String processInstanceId;

    private Integer stepNumber;

    /**
     * 取消状态0未取消，1取消
     */
    private Integer cancelStatus;


    private Integer isTemp;

    private Integer oldDataId;

    /**
     * OMS新投异动编号
     */
    @TableField(exist = false)
    private DistributionDeviceInfoEntity deviceInfo;

    /**
     * 计划调试日期
     */
    @TableField(exist = false)
    private LocalDate plannedTestDate;

    /**
     * 计划调试时间
     */
    @TableField(exist = false)
    private String plannedTestTime;

    /**
     * 是否涉及调试0否，1是
     */
    private Integer whetherDebug;
}
