package com.eleadmin.outagework.domain.form;

import com.eleadmin.common.core.annotation.Schema;
import com.eleadmin.common.core.web.BaseParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 对外停电工作记录表 分页查询表单
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:15:38
 * @Copyright gxrd
 */

@Data
@EqualsAndHashCode(callSuper = false)
public class OutageWorkQueryForm extends BaseParam {

    private Integer id;

    @Schema(description = "工作开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime workStartTime;

    @Schema(description = "工作结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime workEndTime;

    @Schema(description = "停电结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endDateBegin;

    @Schema(description = "停电结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endDateEnd;

    @Schema(description = "检修内容")
    private String inspectionContent;

    @Schema(description = "停电范围")
    private String powerOutageScope;

    @Schema(description = "是否涉及新投异动")
    private Integer isNewProject;

    @Schema(description = "图模涉及大馈线名称")
    private String lineName;

    private Integer workStatus;
}
