package com.eleadmin.outagework.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.eleadmin.common.core.excel.convert.OutageTypeConverter;
import com.eleadmin.common.core.excel.convert.YesNoConverter;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class OutageWorkExcelVO {

    @ExcelProperty(value = "类型", converter = OutageTypeConverter.class)
    private Integer type;

    @ExcelProperty("分类")
    private String category;

    @ExcelProperty("电压等级")
    private String voltageLevel;

    @ExcelProperty(value = "是否涉及新投异动", converter = YesNoConverter.class)
    private Integer isNewProject;

    @ExcelProperty("停电开始日期")
    private LocalDateTime startDate;

    @ExcelProperty("工作开始时间")
    private LocalDateTime workStartTime;

    @ExcelProperty("工作结束时间")
    private LocalDateTime workEndTime;

    @ExcelProperty("停电结束日期")
    private LocalDateTime endDate;

    @ExcelProperty("检修内容")
    private String inspectionContent;

    @ExcelProperty("停电范围")
    private String powerOutageScope;

    @ExcelProperty("主运行部门")
    private String mainOperatingDepartment;

    @ExcelProperty("配合运行部门")
    private String cooperatingOperatingDepartment;

    @ExcelProperty("施工单位")
    private String constructionUnit;

    @ExcelProperty("95598停电台区")
    private String powerOutageArea;

    @ExcelProperty("95598停电地址")
    private String powerOutageAddress;

    @ExcelProperty("网格所属中心")
    private String gridCenter;

    @ExcelProperty("工程名称")
    private String projectName;

    @ExcelProperty("工程管理单位")
    private String engineeringManagementUnit;

    @ExcelProperty("工程专责及电话")
    private String engineeringResponsiblePerson;

    @ExcelProperty("备注")
    private String remarks;

}