package com.eleadmin.outagework.domain.vo;

import com.eleadmin.common.core.annotation.Schema;
import com.eleadmin.flowable.vo.TaskInfo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class OutageWorkSimpleVO {
    @Schema(description = "记录ID")
    private Integer id;

    @Schema(description = "电压等级")
    private String voltageLevel;

    @Schema(description = "是否涉及新投异")
    private Integer isNewProject;

    @Schema(description = "停电开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime startDate;

    @Schema(description = "停电结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endDate;

    @Schema(description = "检修内容")
    private String inspectionContent;

    @Schema(description = "停电范围")
    private String powerOutageScope;
    /**
     * 是否fa线路
     */
    private Integer whetherFaline;

    @Schema(description = "工作状态 1 正常，0 停止")
    private Integer workStatus;

    private Integer stepNumber;

    private String stepTitle;

    /**
     * 是否涉及调试0否，1是
     */
    private Integer whetherDebug;

    /**
     * 取消状态0未取消，1取消
     */
    private Integer cancelStatus;


    private List<TaskInfo> currentTask;

    private String processInstanceId;

    private Integer isTemp;
    private Integer oldDataId;
}
