package com.eleadmin.outagework.domain.vo;

import com.eleadmin.common.core.annotation.Schema;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 对外停电工作记录表 列表VO
 *
 * @Author 王益亭
 * @Date 2025-02-28 14:15:38
 * @Copyright gxrd
 */

@Data
public class OutageWorkVO {

    @Schema(description = "记录ID")
    private Integer id;

    @Schema(description = "分类")
    private String category;

    @Schema(description = "电压等级")
    private String voltageLevel;

    @Schema(description = "是否涉及新投异")
    private Integer isNewProject;

    @Schema(description = "停电开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime startDate;

    @Schema(description = "工作开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime workStartTime;

    @Schema(description = "工作结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime workEndTime;

    @Schema(description = "停电结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endDate;

    @Schema(description = "检修内容")
    private String inspectionContent;

    @Schema(description = "停电范围")
    private String powerOutageScope;

    @Schema(description = "主运行部门")
    private String mainOperatingDepartment;

    @Schema(description = "配合运行部门")
    private String cooperatingOperatingDepartment;

    @Schema(description = "施工单位")
    private String constructionUnit;

    @Schema(description = "95598停电台区")
    private String powerOutageArea;

    @Schema(description = "95598停电地址")
    private String powerOutageAddress;

    @Schema(description = "网格所属中心")
    private String gridCenter;

    @Schema(description = "工程名称")
    private String projectName;

    @Schema(description = "工程管理单位")
    private String engineeringManagementUnit;

    @Schema(description = "工程专责及电话")
    private String engineeringResponsiblePerson;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "是否停电")
    private Integer type;

    @Schema(description = "工作状态 1 正常，0 停止")
    private Integer workStatus;

    /**
     * 是否fa线路
     */
    private Integer whetherFaline;

    /**
     * 图模涉及大馈线名称
     */
    private String lineName;

    private Integer stepNumber;

    private String stepTitle;

    private String processInstanceId;

    /**
     * 取消状态0未取消，1取消
     */
    private Integer cancelStatus;

    private Integer isTemp;
    /**
     * 是否涉及调试0否，1是
     */
    private Integer whetherDebug;

}
