package com.eleadmin.powerdebug.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.eleadmin.outagework.domain.entity.OutageWorkEntity;
import com.eleadmin.powerdebug.domain.entity.PowerDebugEntity;
import com.eleadmin.powerdebug.domain.form.PowerDebugQueryForm;
import com.eleadmin.powerdebug.domain.vo.PowerDebugSimpleVO;
import com.eleadmin.powerdebug.domain.vo.PowerDebugVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * 电力设备调试工作记录表 Dao
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

@Mapper
@Component
public interface PowerDebugDao extends BaseMapper<PowerDebugEntity> {

    /**
     * 分页 查询
     *
     * @param page
     * @param queryForm
     * @return
     */
    List<PowerDebugVO> queryPage(Page page, @Param("queryForm") PowerDebugQueryForm queryForm);

    List<PowerDebugSimpleVO> querySimplePage(Page page,@Param("queryForm")  PowerDebugQueryForm queryForm);

    List<Map<String,Object>> listByContentAndTime(@Param("list") List<OutageWorkEntity> substringMap);
}
