package com.eleadmin.powerdebug.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

/**
 * 电力设备调试工作记录表 实体类
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

@Data
@TableName("t_power_debug")
public class PowerDebugEntity {

    /**
     * 记录ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 调试计划ID
     */
    private Integer outageId;

    /**
     * 所属中心
     */
    private String center;

    /**
     * 计划调试日期
     */
    private LocalDate plannedTestDate;

    /**
     * 计划调试时间
     */
    private String plannedTestTime;

    /**
     * 计划投运日期
     */
    private LocalDate plannedOperationDate;

    /**
     * 调试地点
     */
    private String testLocation;

    /**
     * 终端名称
     */
    private String terminalName;

    /**
     * 涉及的图模大馈线名称
     */
    private String lineName;

    /**
     * 设备类型
     */
    private String equipmentType;

    /**
     * 终端类型
     */
    private String terminalType;

    /**
     * 终端厂家
     */
    private String manufacturer;

    /**
     * 终端型号
     */
    private String model;

    /**
     * 终端编号（ID）
     */
    private String serialNumber;

    /**
     * 规约类型
     */
    private String specification;

    /**
     * 链路地址
     */
    private String circuitAddress;

    /**
     * IP地址
     */
    private String ipAddress;

    /**
     * 是否提供证书（加密文件）
     */
    private Integer certificateProvided;

    /**
     * 是否提供点表
     */
    private Integer pointTableProvided;

    /**
     * 台账资料是否存档
     */
    private Integer dataBackup;

    /**
     * 调试方联系人及电话
     */
    private String testingContact;

    /**
     * 验收方联系人及电话
     */
    private String inspectionContact;

    /**
     * 终端厂家联系电话
     */
    private String manufacturerContact;

    /**
     * 所属工程名称
     */
    private String projectName;

    /**
     * 工程专责
     */
    private String engineeringResponsible;

    /**
     * 备注
     */
    private String remarks;
    /**
     * 计划工作大馈线
     */
    private String workLineName;

    /**
     *停电计划工作开始时间
     */
    private Date workStartTime;

}
