package com.eleadmin.powerdebug.domain.form;

import com.eleadmin.common.core.annotation.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

/**
 * 电力设备调试工作记录表 更新表单
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

@Data
public class PowerDebugUpdateForm {

    @Schema(description = "记录ID")
    @NotNull(message = "记录ID 不能为空")
    private Integer id;

    @Schema(description = "调试计划ID")
    private Integer outageId;

    @Schema(description = "所属中心")
    private String center;

    @Schema(description = "计划调试日期")
    private LocalDate plannedTestDate;

    @Schema(description = "计划调试时间")
    private String plannedTestTime;

    @Schema(description = "计划投运日期")
    private LocalDate plannedOperationDate;

    @Schema(description = "调试地点")
    private String testLocation;

    @Schema(description = "终端名称")
    private String terminalName;

    @Schema(description = "涉及的图模大馈线名称")
    private String lineName;

    @Schema(description = "设备类型")
    private String equipmentType;

    @Schema(description = "终端类型")
    private String terminalType;

    @Schema(description = "终端厂家")
    private String manufacturer;

    @Schema(description = "终端型号")
    private String model;

    @Schema(description = "终端编号（ID）")
    private String serialNumber;

    @Schema(description = "规约类型")
    private String specification;

    @Schema(description = "链路地址")
    private String circuitAddress;

    @Schema(description = "IP地址")
    private String ipAddress;

    @Schema(description = "是否提供证书（加密文件）")
    private Integer certificateProvided;

    @Schema(description = "是否提供点表")
    private Integer pointTableProvided;

    @Schema(description = "台账资料是否存档")
    private Integer dataBackup;

    @Schema(description = "调试方联系人及电话")
    private String testingContact;

    @Schema(description = "验收方联系人及电话")
    private String inspectionContact;

    @Schema(description = "终端厂家联系电话")
    private String manufacturerContact;

    @Schema(description = "所属工程名称")
    private String projectName;

    @Schema(description = "工程专责")
    private String engineeringResponsible;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "计划工作大馈线")
    private String workLineName;

    @Schema(description = "停电计划工作开始时间")
    private Date workStartTime;

}