package com.eleadmin.powerdebug.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.eleadmin.common.core.annotation.Schema;
import com.eleadmin.common.core.excel.convert.YesNoConverter;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

/**
 * 电力设备调试工作记录表 Excel
 *
 * @Author 王益亭
 * @Date 2025-03-03 10:05:18
 * @Copyright gxrd
 */

@Data
public class PowerDebugExcelVO {

    @ExcelProperty(value = "序号")
    private Integer index;

    @ExcelProperty("停电计划涉及大馈线")
    private String workLineName;

    @ExcelProperty("停电计划开始时间")
    private Date workStartTime;

    @ExcelProperty("计划调试日期")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate plannedTestDate;

    @ExcelProperty("计划调试时间")
    private String plannedTestTime;

//    @ExcelProperty("计划投运日期")
//    @DateTimeFormat("yyyy-MM-dd")
//    private LocalDate plannedOperationDate;

    @ExcelProperty("图模涉及大馈线名称")
    private String lineName;

    @ExcelProperty("调试地点")
    private String testLocation;

    @ExcelProperty("终端名称")
    private String terminalName;

    @ExcelProperty("设备类型")
    private String equipmentType;

    @ExcelProperty("终端类型")
    private String terminalType;

    @ExcelProperty("终端厂家")
    private String manufacturer;

    @ExcelProperty("终端型号")
    private String model;

    @ExcelProperty("终端编号（ID）")
    private String serialNumber;

    @ExcelProperty("规约类型")
    private String specification;

    @ExcelProperty("链路地址")
    private String circuitAddress;

    @ExcelProperty("IP地址")
    private String ipAddress;

    @ExcelProperty(value = "是否提供证书（加密文件）", converter = YesNoConverter.class)
    private Integer certificateProvided;

    @ExcelProperty(value = "是否提供点表", converter = YesNoConverter.class)
    private Integer pointTableProvided;

    @ExcelProperty(value = "台账资料是否存档", converter = YesNoConverter.class)
    private Integer dataBackup;

    @ExcelProperty("调试方联系人及电话")
    private String testingContact;

    @ExcelProperty("验收方联系人及电话")
    private String inspectionContact;

    @ExcelProperty("终端厂家联系电话")
    private String manufacturerContact;

    @ExcelProperty("所属工程名称")
    private String projectName;

    @ExcelProperty("工程专责")
    private String engineeringResponsible;

    @ExcelProperty("所属中心")
    private String center;

    @ExcelProperty("备注")
    private String remarks;

}